GET api/bagapi/bagsbysite/{siteId}?active={active}&lastUpdate={lastUpdate}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
Required |
|
| active | boolean |
None. |
|
| lastUpdate | date |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of BagViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| bag_status_id | globally unique identifier |
Required |
|
| cleanroom_type_id | globally unique identifier |
Required |
|
| code | integer |
Required |
|
| date_hu | date |
None. |
|
| id | globally unique identifier |
None. |
|
| site_id | globally unique identifier |
Required |
|
| wash_count | integer |
None. |
|
| position | integer |
None. |
|
| pc_id | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"active": true,
"bag_status_id": "341f6cd0-b5d2-4aec-a2f9-ac201f385243",
"cleanroom_type_id": "4218a93d-fed9-41f3-9503-16749f821764",
"code": 3,
"date_hu": "2026-09-26T16:30:31.3682298+00:00",
"id": "93362df8-bce3-4936-b285-cd0d6b5af11c",
"site_id": "1e75facd-7362-4fd3-93c3-6ce90fa38d17",
"wash_count": 6,
"position": 1,
"pc_id": "a153764f-fad4-495e-99be-aeb3c930b9b7"
},
{
"active": true,
"bag_status_id": "341f6cd0-b5d2-4aec-a2f9-ac201f385243",
"cleanroom_type_id": "4218a93d-fed9-41f3-9503-16749f821764",
"code": 3,
"date_hu": "2026-09-26T16:30:31.3682298+00:00",
"id": "93362df8-bce3-4936-b285-cd0d6b5af11c",
"site_id": "1e75facd-7362-4fd3-93c3-6ce90fa38d17",
"wash_count": 6,
"position": 1,
"pc_id": "a153764f-fad4-495e-99be-aeb3c930b9b7"
}
]
application/xml, text/xml
Sample:
<ArrayOfbag xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<bag>
<active>true</active>
<bag_status_id>341f6cd0-b5d2-4aec-a2f9-ac201f385243</bag_status_id>
<cleanroom_type_id>4218a93d-fed9-41f3-9503-16749f821764</cleanroom_type_id>
<code>3</code>
<date_hu>2026-09-26T16:30:31.3682298+00:00</date_hu>
<id>93362df8-bce3-4936-b285-cd0d6b5af11c</id>
<pc_id>a153764f-fad4-495e-99be-aeb3c930b9b7</pc_id>
<position>1</position>
<site_id>1e75facd-7362-4fd3-93c3-6ce90fa38d17</site_id>
<wash_count>6</wash_count>
</bag>
<bag>
<active>true</active>
<bag_status_id>341f6cd0-b5d2-4aec-a2f9-ac201f385243</bag_status_id>
<cleanroom_type_id>4218a93d-fed9-41f3-9503-16749f821764</cleanroom_type_id>
<code>3</code>
<date_hu>2026-09-26T16:30:31.3682298+00:00</date_hu>
<id>93362df8-bce3-4936-b285-cd0d6b5af11c</id>
<pc_id>a153764f-fad4-495e-99be-aeb3c930b9b7</pc_id>
<position>1</position>
<site_id>1e75facd-7362-4fd3-93c3-6ce90fa38d17</site_id>
<wash_count>6</wash_count>
</bag>
</ArrayOfbag>